Delete webhook subscription
1 min
DELETE
https://app.amberflo.io/webhook/{webhook_id}
Path Parameters
- webhook_idstringrequiredDescription
Responses
200
- webhook-responseDescription
- objectwebhook-put-request
- idstringrequiredDescription
- enabledbooleanDescriptionDefaulttrue
- topicstring<ready-product-invoices | customer-feed | account-pricing-feed | customer-pricing-feed | customer-pricing-plan-feed | webhook-test>requiredDescription
- destinationUrlstringrequiredDescription
- transformTemplatestring<default | amberflo-sfdc-app>requiredDescription
- authHeaderstring[]requiredDescription
- extraHeadersarray[]Description
- object
- createTimeintegerDescription
- updateTimeintegerDescription
400
401
403
404
500
curl
curl --request DELETE \
--url https://app.amberflo.io/webhook/{webhook_id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/webhook/{webhook_id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/webhook/{webhook_id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/webhook/{webhook_id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// Webhook subscription successfully deleted with confirmation details
{
"id": "",
"enabled": false,
"topic": "",
"destinationUrl": "",
"transformTemplate": "",
"authHeader": [
""
],
"extraHeaders": [
[
""
]
],
"createTime": 0,
"updateTime": 0
}400
// Invalid webhook ID format or malformed request
401
// Missing or invalid API key authentication
403
// Insufficient permissions to access this resource
404
// Webhook subscription not found or already deleted
500
// Internal server error occurred while processing request